Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server
Class ServerProject

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  edu.stanford.smi.protege.server.ServerProject

All Implemented Interfaces:
  RemoteServerProject, Serializable, Remote

    public class ServerProject

extends UnicastRemoteObject
implements RemoteServerProject

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ServerProject.ProjectStatus`

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`ServerProject(Server server, URI uri, ProjectInstance projectInstance, Project project)`

Method Summary
`void` | `close(RemoteSession session)`
`void` | `deregister(RemoteSession session)`
`Collection` | `getCurrentSessions(RemoteSession unusedSession)`
`String` | `getDomainKbFactoryClassName()`
`RemoteServerFrameStore` | `getDomainKbFrameStore(RemoteSession session)`
`ProjectInstance` | `getMetaProjectInstance()`
`String` | `getProjectKbFactoryClassName()`
`RemoteServerFrameStore` | `getProjectKbFrameStore(RemoteSession session)`
`URI` | `getURI(RemoteSession session)`
`boolean` | `isDirty()`
`void` | `register(RemoteSession session)`
`void` | `setClean()`
`void` | `setFrameCalculatorDisabled(boolean disabled)`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerProject

    public ServerProject(Server server,
                         URI uri,
                         ProjectInstance projectInstance,
                         Project project)
                  throws RemoteException

Throws:
  `RemoteException`

Method Detail

### getMetaProjectInstance

    public ProjectInstance getMetaProjectInstance()

### getURI

    public URI getURI(RemoteSession session)

  Specified by:
    `getURI` in interface `RemoteServerProject`

### getDomainKbFactoryClassName

    public String getDomainKbFactoryClassName()

  Specified by:
    `getDomainKbFactoryClassName` in interface `RemoteServerProject`

### getProjectKbFactoryClassName

    public String getProjectKbFactoryClassName()

  Specified by:
    `getProjectKbFactoryClassName` in interface `RemoteServerProject`

### getDomainKbFrameStore

    public RemoteServerFrameStore getDomainKbFrameStore(RemoteSession session)

  Specified by:
    `getDomainKbFrameStore` in interface `RemoteServerProject`

### getProjectKbFrameStore

    public RemoteServerFrameStore getProjectKbFrameStore(RemoteSession session)

  Specified by:
    `getProjectKbFrameStore` in interface `RemoteServerProject`

### register

    public void register(RemoteSession session)
                  throws ServerSessionLost

  Specified by:
    `register` in interface `RemoteServerProject`
  Throws:
    `ServerSessionLost`

### deregister

    public void deregister(RemoteSession session)
                    throws ServerSessionLost

  Throws:
    `ServerSessionLost`

### close

    public void close(RemoteSession session)
               throws ServerSessionLost

  Specified by:
    `close` in interface `RemoteServerProject`
  Throws:
    `ServerSessionLost`

### getCurrentSessions

    public Collection getCurrentSessions(RemoteSession unusedSession)

  Specified by:
    `getCurrentSessions` in interface `RemoteServerProject`

### isDirty

    public boolean isDirty()

### setClean

    public void setClean()

### setFrameCalculatorDisabled

    public void setFrameCalculatorDisabled(boolean disabled)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.